image:
  tag: 1.21.4

ingress:
  enabled: true
  annotations:
    cert-manager.io/cluster-issuer: letsencrypt
    kubernetes.io/ingress.class: nginx
    nginx.ingress.kubernetes.io/proxy-body-size: "0"
    nginx.org/client-max-body-size: "0"
  hosts:
    - host: gitea-staging.reeseapps.com
      paths:
        - path: /
          pathType: Prefix
  tls:
  - hosts:
    - gitea-staging.reeseapps.com
    secretName: gitea-staging-tls-cert

persistence:
  enabled: true
  create: true
  claimName: data-gitea-staging-0
  annotations:
    "helm.sh/resource-policy": keep

postgresql:
  enabled: true
  image:
    tag: 15
  primary:
    persistence:
      enabled: true
      annotations:
        "helm.sh/resource-policy": keep

postgresql-ha:
  enabled: false

gitea:
  admin:
    existingSecret: gitea-admin-secret
  config:
    service:
      DISABLE_REGISTRATION: true

service:
  ssh:
    port: 22
    type: ClusterIP

redis-cluster:
  enabled: true
  image:
    tag: 7.2

deployment:
  tolerations:
    - key: "node.kubernetes.io/unreachable"
      operator: "Exists"
      effect: "NoExecute"
      tolerationSeconds: 1
    - key: "node.kubernetes.io/not-ready"
      operator: "Exists"
      effect: "NoExecute"
      tolerationSeconds: 1

strategy:
  type: Recreate
